> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/order-status.md).

# OrderStatus

## Enumeration Members

### Cancelled

```ts
Cancelled: "CANCELLED";
```

The order was cancelled.

***

### Confirmed

```ts
Confirmed: "CONFIRMED";
```

The order was marked confirmed.

***

### Draft

```ts
Draft: "DRAFT";
```

The order has a draft state as long as the customer didn't complete their signup.

***

### Fulfilled

```ts
Fulfilled: "FULFILLED";
```

The order was marked fulfilled.

***

### Pending

```ts
Pending: "PENDING";
```

The order still needs to be accepted by you or the customer.

***

### Snoozed

```ts
Snoozed: "SNOOZED";
```

The order was snoozed to be possibly confirmed at a later moment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/order-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
